List agents
curl --request GET \
--url https://agenticadvertising.org/api/registry/agentsimport requests
url = "https://agenticadvertising.org/api/registry/agents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://agenticadvertising.org/api/registry/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"url": "<string>",
"name": "<string>",
"type": "brand",
"protocol": "mcp",
"description": "<string>",
"mcp_endpoint": "<string>",
"contact": {
"name": "<string>",
"email": "<string>",
"website": "<string>"
},
"added_date": "<string>",
"source": "registered",
"member": {
"slug": "<string>",
"display_name": "<string>"
},
"discovered_from": {
"publisher_domain": "<string>",
"authorized_for": "<string>"
},
"health": {
"online": true,
"checked_at": "<string>",
"response_time_ms": 123,
"tools_count": 123,
"resources_count": 123,
"error": "<string>"
},
"stats": {
"property_count": 123,
"publisher_count": 123,
"publishers": [
"<string>"
],
"creative_formats": 123
},
"capabilities": {
"tools_count": 123,
"tools": [
{
"name": "<string>",
"description": "<string>"
}
],
"standard_operations": {
"can_search_inventory": true,
"can_get_availability": true,
"can_reserve_inventory": true,
"can_get_pricing": true,
"can_create_order": true,
"can_list_properties": true
},
"creative_capabilities": {
"formats_supported": [
"<string>"
],
"can_generate": true,
"can_validate": true,
"can_preview": true
}
},
"compliance": {
"status": "passing",
"lifecycle_stage": "development",
"tracks": {
"core": "pass",
"products": "fail"
},
"streak_days": 123,
"last_checked_at": "<string>",
"headline": "<string>",
"monitoring_paused": true,
"check_interval_hours": 123
},
"publisher_domains": [
"<string>"
],
"property_summary": {
"total_count": 123,
"count_by_type": {},
"tags": [
"<string>"
],
"publisher_count": 123
}
}
],
"count": 123,
"sources": {
"registered": 123,
"discovered": 123
}
}Agent Discovery
List agents
List all registered and discovered agents. Optionally enrich with health checks, capabilities, and property summaries via query parameters.
GET
/
api
/
registry
/
agents
List agents
Query Parameters
Available options:
brand, rights, measurement, governance, creative, sales, buying, signals, unknown Available options:
true Available options:
true Available options:
true Available options:
true Was this page helpful?